
# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'weighted_list/version'

Gem::Specification.new do |spec|
  spec.name          = 'weighted_list'
  spec.version       = WeightedList::VERSION
  spec.authors       = ['Jayson Virissimo']
  spec.email         = ['jayson.virissimo@asu.edu']

  spec.summary       = 'Sample from a weighted list.'
  spec.description   = 'Randomly sample from an (enumerable) weighted list without replacement.'
  spec.homepage      = 'https://github.com/jaysonvirissimo/weighted_list'
  spec.license       = 'MIT'

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org/'
  else
    raise 'RubyGems >= 2.0 is required to protect against public gem pushes.'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '>= 2.2.10'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
